package com.fyber.utils;

import android.util.SparseArray;

public final class UrlParameterProviderFactory {
  public static SparseArray<ParametersProvider> getParameterProviders() {
    SparseArray<ParametersProvider> array = new SparseArray<>(7);
    array.put(6, new GlobalParamsProvider());
    array.put(3, new HostInfo.ScreenMetricsParamsProvider());
    array.put(4, new HostInfo.OrientationParamsProvider());
    array.put(5, new HostInfo.GaidParamsProvider());
    array.put(2, new HostInfo.DeviceInfoParamsProvider());
    array.put(1, new HostInfo.AppInfoParamsProvider());
    array.put(0, new SDKParamsProvider());
    return array;
  }
}
